package main

import (
	"./core/router"
	"./src/controller/test"
	"./src/middleware/login"
)

//Routes rotas de acesso
var Routes = router.Routes{
	router.Route{
		Method: "GET",
		Pattern: `/test1`,
		Handler: test.Inicial,
		Middlewares: []router.Middleware{
			login.Mandatory,
		},
	},
	router.Route{
		Method: "POST",
		Pattern:     `/test2`,
		Handler:     test.AddError,
		Middlewares: nil,
	},
	router.Route{
		Method: "GET",
		Pattern:     `/test3`,
		Handler:     test.Erro,
		Middlewares: []router.Middleware{
			login.Test,
		},
	},
}
